| hxt-8.5.4: A collection of tools for processing XML with Haskell. | Source code | Contents | Index
Control.Arrow.StateListArrow |
Portability | portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Description
Implementation of list arrows with a state
Synopsis
newtype SLA s a b = SLA {
runSLA :: s -> a -> (s, [b])
}
fromSLA :: ArrowList a => s -> SLA s b c -> a b c
Documentation
newtype SLA s a b | Source
list arrow combined with a state
Constructors
SLA |
runSLA :: s -> a -> (s, [b]) |
Instances
ArrowState s (SLA s)
Arrow (SLA s)
ArrowZero (SLA s)
ArrowPlus (SLA s)
ArrowChoice (SLA s)
ArrowApply (SLA s)
Category (SLA s)
NFData s => ArrowNF (SLA s)
ArrowList (SLA s)
ArrowIf (SLA s)
ArrowTree (SLA s)
ArrowDTD (SLA s)
ArrowXml (SLA s)
fromSLA :: ArrowList a => s -> SLA s b c -> a b c | Source
conversion of state list arrows into arbitray other list arrows. allows running a state list arrow within another arrow: example:
     ... >>> fromSLA 0 (... setState ... getState ... ) >>> ...
runs a state arrow with initial state 0 (e..g. an Int) within another arrow sequence
Produced by Haddock version 2.4.2